#!/bin/bash
# Curby's DebongIntel - installer
# v1.00.00 2007-02-20

srcroot="DebongIntel"
myroot='/Library/StartupItems/DebongIntel'
filelist='DebongIntel StartupParameters.plist'

echo -n "Checking platform:  "
if system_profiler SPHardwareDataType | grep -q 'Processor Name.*Intel'; then
  echo "Intel platform OK"
else
  echo "Uhoh, no Intel bits!"
  echo "This is meant for Intel-based Macs only.  If you think you know better,"
  echo "disable this check or install the files manually."
  exit 1
fi
echo -n "Checking user ID:   "
if [[ "$UID" != "0" ]]; then
  echo "Not root!"
  echo "You need to have root privileges to run this script."
  echo "You might try running 'sudo $0'."
  exit 2
else
  echo "Root user OK"
fi

echo -en "\nStep 1 of 3:  "
mkdir -p $myroot
if [[ "$?" -ne 0 ]]; then
  echo "You need to have root privileges to run this script."
  echo "You might try running 'sudo $0'."
  exit 3
fi
echo "Created directory: $myroot"

echo -n "Step 2 of 3:  "
cp -r $filelist $myroot
if [[ "$?" -ne 0 ]]; then
  echo "This installer must be run from inside the $srcroot folder."
  exit 4
fi
echo "Copied files: $filelist"

echo -n "Step 3 of 3:  "
chown -R root:wheel $myroot
chmod -R 755 $myroot
chmod 644 $myroot/StartupParameters.plist
echo "Tightened down permissions"

echo -e "\nHooray, your Mac is debonged!"
